# PhasicFlow: src/Interaction/grainInteraction/boundaries/createBoundaryGrainInteraction.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

createBoundaryGrainInteraction.hpp File Reference
Include dependency graph for createBoundaryGrainInteraction.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | createBoundaryGrainInteraction(ForceModel, GeomModel)

## Macro Definition Documentation

## createBoundaryGrainInteraction

#define createBoundaryGrainInteraction | ( |  | ForceModel,
|  |  | GeomModel
| ) |  |

Value:
template class pFlow::boundaryGrainInteraction< \
ForceModel, \
GeomModel>; \
\
template class pFlow::periodicBoundaryGrainInteraction< \
ForceModel, \
GeomModel>;

Definition at line 23 of file createBoundaryGrainInteraction.hpp.

pFlow::periodicBoundaryGrainInteraction
Definition: periodicBoundaryGrainInteraction.hpp:30
pFlow::boundaryGrainInteraction
Definition: boundaryGrainInteraction.hpp:32